Index: code/branches/questsystem5/src/network/ChatListener.cc
===================================================================
--- code/branches/questsystem5/src/network/ChatListener.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/ChatListener.cc	(revision 2907)
@@ -30,5 +30,4 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Core.h"
 
 namespace orxonox
Index: code/branches/questsystem5/src/network/Client.cc
===================================================================
--- code/branches/questsystem5/src/network/Client.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/Client.cc	(revision 2907)
@@ -45,4 +45,5 @@
 #include "Host.h"
 #include "synchronisable/Synchronisable.h"
+#include "core/Clock.h"
 #include "core/CoreIncludes.h"
 #include "packet/Packet.h"
@@ -138,5 +139,5 @@
    * @param time
    */
-  void Client::tick(float time){
+  void Client::update(const Clock& time){
 //     COUT(3) << ".";
     if(client_connection.isConnected() && isSynched_){
Index: code/branches/questsystem5/src/network/Client.h
===================================================================
--- code/branches/questsystem5/src/network/Client.h	(revision 2777)
+++ code/branches/questsystem5/src/network/Client.h	(revision 2907)
@@ -76,5 +76,5 @@
     //bool sendChat(packet::Chat *chat);
 
-    void tick(float time);
+    void update(const Clock& time);
 
   private:
Index: code/branches/questsystem5/src/network/ClientConnectionListener.cc
===================================================================
--- code/branches/questsystem5/src/network/ClientConnectionListener.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/ClientConnectionListener.cc	(revision 2907)
@@ -1,5 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "ClientConnectionListener.h"
 #include "core/CoreIncludes.h"
-#include "core/Core.h"
+#include "core/GameMode.h"
 
 namespace orxonox{
@@ -11,5 +39,5 @@
 
   void ClientConnectionListener::getConnectedClients(){
-    if(Core::showsGraphics())
+    if(GameMode::showsGraphics())
       this->clientConnected(0); //server client id
     ClientInformation *client = ClientInformation::getBegin();
Index: code/branches/questsystem5/src/network/ConnectionManager.cc
===================================================================
--- code/branches/questsystem5/src/network/ConnectionManager.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/ConnectionManager.cc	(revision 2907)
@@ -48,4 +48,5 @@
 #include <boost/thread/recursive_mutex.hpp>
 
+#include "util/Debug.h"
 #include "util/Math.h"
 #include "util/Sleep.h"
Index: code/branches/questsystem5/src/network/Server.cc
===================================================================
--- code/branches/questsystem5/src/network/Server.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/Server.cc	(revision 2907)
@@ -51,4 +51,5 @@
 #include "ClientInformation.h"
 #include "util/Sleep.h"
+#include "core/Clock.h"
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
@@ -149,8 +150,8 @@
   * @param time time since last tick
   */
-  void Server::tick(float time) {
+  void Server::update(const Clock& time) {
     processQueue();
     //this steers our network frequency
-    timeSinceLastUpdate_+=time;
+    timeSinceLastUpdate_+=time.getDeltaTime();
     if(timeSinceLastUpdate_>=NETWORK_PERIOD){
       timeSinceLastUpdate_ -= static_cast<unsigned int>( timeSinceLastUpdate_ / NETWORK_PERIOD ) * NETWORK_PERIOD;
Index: code/branches/questsystem5/src/network/Server.h
===================================================================
--- code/branches/questsystem5/src/network/Server.h	(revision 2777)
+++ code/branches/questsystem5/src/network/Server.h	(revision 2907)
@@ -53,5 +53,5 @@
   const int CLIENTID_SERVER = 0;
   const unsigned int NETWORK_FREQUENCY = 25;
-  const float NETWORK_PERIOD = 1./NETWORK_FREQUENCY;
+  const float NETWORK_PERIOD = 1.f/NETWORK_FREQUENCY;
 
   /**
@@ -71,5 +71,5 @@
     bool processChat(const std::string& message, unsigned int playerID);
     bool queuePacket(ENetPacket *packet, int clientID);
-    void tick(float time);
+    void update(const Clock& time);
     unsigned int getPing(unsigned int clientID);
     double getPacketLoss(unsigned int clientID);
Index: code/branches/questsystem5/src/network/TrafficControl.cc
===================================================================
--- code/branches/questsystem5/src/network/TrafficControl.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/TrafficControl.cc	(revision 2907)
@@ -30,4 +30,5 @@
 
 #include "synchronisable/Synchronisable.h"
+#include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
 
Index: code/branches/questsystem5/src/network/packet/Gamestate.cc
===================================================================
--- code/branches/questsystem5/src/network/packet/Gamestate.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/packet/Gamestate.cc	(revision 2907)
@@ -34,5 +34,5 @@
 #include "../synchronisable/Synchronisable.h"
 #include "../TrafficControl.h"
-#include "core/Core.h"
+#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
 #include "core/Iterator.h"
@@ -162,5 +162,5 @@
     if(!s)
     {
-      if (!Core::isMaster())
+      if (!GameMode::isMaster())
       {
         Synchronisable::fabricate(mem, mode);
Index: code/branches/questsystem5/src/network/packet/Gamestate.h
===================================================================
--- code/branches/questsystem5/src/network/packet/Gamestate.h	(revision 2777)
+++ code/branches/questsystem5/src/network/packet/Gamestate.h	(revision 2907)
@@ -35,7 +35,8 @@
 #include "Packet.h"
 #include "network/TrafficControl.h"
-#include "core/CoreIncludes.h"
+#include <string.h>
 #include <map>
 #include <list>
+#include <cassert>
 #ifndef NDEBUG
 #include "util/CRC32.h"
Index: code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.cc
===================================================================
--- code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.cc	(revision 2777)
+++ code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.cc	(revision 2907)
@@ -30,4 +30,5 @@
 #include <cstring>
 #include "util/Math.h"
+#include "core/GameMode.h"
 
 
@@ -36,4 +37,11 @@
 uint8_t SynchronisableVariableBase::state_ = 0;
 
+/*static*/ void SynchronisableVariableBase::setState()
+{
+  if ( state_ == 0x0 )
+  {
+    state_ = GameMode::isMaster() ? 0x1 : 0x2;  // set the appropriate mode here
+  }
+}
 
 
Index: code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.h
===================================================================
--- code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.h	(revision 2777)
+++ code/branches/questsystem5/src/network/synchronisable/SynchronisableVariable.h	(revision 2907)
@@ -35,6 +35,5 @@
 #include <string>
 #include <cassert>
-#include "core/Core.h"
-#include "core/CoreIncludes.h"
+#include "util/Math.h"
 #include "network/synchronisable/NetworkCallback.h"
 #include "network/synchronisable/NetworkCallbackManager.h"
@@ -63,4 +62,5 @@
       virtual ~SynchronisableVariableBase() {}
     protected:
+      static void setState();
       static uint8_t state_;
   };
@@ -110,8 +110,5 @@
       variable_( variable ), mode_( syncDirection ), callback_( cb )
   {
-    if ( state_ == 0x0 )
-    {
-      state_ = Core::isMaster() ? 0x1 : 0x2;  // set the appropriate mode here
-    }
+      setState();
   }
   
